// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCF2LT5BVjbHjFNZJ3gry2BsaxwdmCLj0Y',
    appId: '1:368827062763:web:6d7b4899745f26510321ae',
    messagingSenderId: '368827062763',
    projectId: 'anonymoustosocialauth',
    authDomain: 'anonymoustosocialauth.firebaseapp.com',
    storageBucket: 'anonymoustosocialauth.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyAK1IBHBKFjxwDZiSvoR0j3IXvxCZsWYNU',
    appId: '1:368827062763:android:7f4687689de73b2d0321ae',
    messagingSenderId: '368827062763',
    projectId: 'anonymoustosocialauth',
    storageBucket: 'anonymoustosocialauth.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBrZSWVomCiwHXhCexWvK6-GWU2M9D8XRE',
    appId: '1:368827062763:ios:7c627672ae375fb00321ae',
    messagingSenderId: '368827062763',
    projectId: 'anonymoustosocialauth',
    storageBucket: 'anonymoustosocialauth.appspot.com',
    iosClientId: '368827062763-fo2irf305ighpovp7olfp0jqf7asmi7d.apps.googleusercontent.com',
    iosBundleId: 'com.example.announimousToSocialAuth',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBrZSWVomCiwHXhCexWvK6-GWU2M9D8XRE',
    appId: '1:368827062763:ios:1a1e324196473bb10321ae',
    messagingSenderId: '368827062763',
    projectId: 'anonymoustosocialauth',
    storageBucket: 'anonymoustosocialauth.appspot.com',
    iosClientId: '368827062763-vppq7nidnbd9p2uabuneov3l7l2vm9q6.apps.googleusercontent.com',
    iosBundleId: 'com.example.announimousToSocialAuth.RunnerTests',
  );
}
